-- the lose screen
local loseScreen = {}

-- code to run when lose screen is loaded
function loseScreen.load()
	loseScreen.updatePlayerStats()
	saveGame(player)
	
	mainMenuButton = loveframes.Create("button")
	mainMenuButton:SetText("Main Menu")
	mainMenuButton:SetPos(g_w - 200, g_h - 130)
	mainMenuButton:SetSize(100, 40)
	mainMenuButton.OnClick = function() changeScreen(mainScreen) end
end

-- code to run when lose screen is destroyed
function loseScreen.unload()
	loveframes.util.RemoveAll()
end

-- code to run when a key is pressed
function loseScreen.keypressed(key, unicode)
end

-- code to run when a key is released
function loseScreen.keyreleased(key, unicode)
	
end

-- code to run when mouse is pressed
function loseScreen.mousepressed(x, y, button)
end

-- code to run when mouse is released
function loseScreen.mousereleased(x, y, button)
end

-- code to run every frame
function loseScreen.update(dt)
end

-- code to draw every frame
function loseScreen.draw()
	love.graphics.setFont(g_font_dimbo_20)
	love.graphics.print("Game Over", g_w / 2, g_h / 2)
end

-- update player stats
function loseScreen.updatePlayerStats()
	player.progress.curXp = math.max(0, math.floor(player.progress.curXp * 0.95))
	
	player.state.totHp = player.stats.hp
	player.state.curHp = player.stats.hp
end

return loseScreen