-- the flee screen
local fleeScreen = {}

-- code to run when flee screen is loaded
function fleeScreen.load()
	fleeScreen.updatePlayerStats()
	saveGame(player)
	
	continueButton = loveframes.Create("button")
	continueButton:SetText("Continue")
	continueButton:SetPos(g_w - 200, g_h - 130)
	continueButton:SetSize(100, 40)
	continueButton.OnClick = function() changeScreen(storyScreen) end
end

-- code to run when flee screen is destroyed
function fleeScreen.unload()
	loveframes.util.RemoveAll()
end

-- code to run when a key is pressed
function fleeScreen.keypressed(key, unicode)
end

-- code to run when a key is released
function fleeScreen.keyreleased(key, unicode)
end

-- code to run when mouse is pressed
function fleeScreen.mousepressed(x, y, button)
end

-- code to run when mouse is released
function fleeScreen.mousereleased(x, y, button)
end

-- code to run every frame
function fleeScreen.update(dt)
end

-- code to draw every frame
function fleeScreen.draw()
	love.graphics.setFont(g_font_dimbo_20)
	love.graphics.print("You got away safely.", g_w / 2, g_h / 2)
end

-- update player stats
function fleeScreen.updatePlayerStats()
	-- restore Hp
	player.state.totHp = player.stats.hp
	player.state.curHp = player.stats.hp
end

return fleeScreen